POST /api/skills/{skillId}/update/preview
curl --request POST \
--url https://app.worksong.ai/api/skills/{skillId}/update/preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/skills/{skillId}/update/preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/skills/{skillId}/update/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/skills/{skillId}/update/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/skills/{skillId}/update/preview"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/skills/{skillId}/update/preview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/skills/{skillId}/update/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo": "<string>",
"path": "<string>",
"currentSha": "<string>",
"sha": "<string>",
"upToDate": true,
"name": {
"from": "<string>",
"to": "<string>"
},
"description": {
"from": "<string>",
"to": "<string>"
},
"skillMd": {
"added": 4503599627370495,
"removed": 4503599627370495,
"hunks": [
{
"oldStart": 123,
"newStart": 123,
"lines": [
{
"kind": "same",
"text": "<string>"
}
]
}
],
"truncated": true
},
"files": [
{
"path": "<string>",
"change": "added",
"sizeBytes": 4503599627370495,
"diff": {
"added": 4503599627370495,
"removed": 4503599627370495,
"hunks": [
{
"oldStart": 123,
"newStart": 123,
"lines": [
{
"kind": "same",
"text": "<string>"
}
]
}
],
"truncated": true
}
}
],
"leftOutFiles": 4503599627370495,
"problems": [
"<string>"
],
"version": "<string>"
}Skills
POST /api/skills/{skillId}/update/preview
What would change if an imported skill took its source’s newest version?
POST
/
api
/
skills
/
{skillId}
/
update
/
preview
POST /api/skills/{skillId}/update/preview
curl --request POST \
--url https://app.worksong.ai/api/skills/{skillId}/update/preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.worksong.ai/api/skills/{skillId}/update/preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.worksong.ai/api/skills/{skillId}/update/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/skills/{skillId}/update/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/skills/{skillId}/update/preview"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/skills/{skillId}/update/preview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/skills/{skillId}/update/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"skillId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repo": "<string>",
"path": "<string>",
"currentSha": "<string>",
"sha": "<string>",
"upToDate": true,
"name": {
"from": "<string>",
"to": "<string>"
},
"description": {
"from": "<string>",
"to": "<string>"
},
"skillMd": {
"added": 4503599627370495,
"removed": 4503599627370495,
"hunks": [
{
"oldStart": 123,
"newStart": 123,
"lines": [
{
"kind": "same",
"text": "<string>"
}
]
}
],
"truncated": true
},
"files": [
{
"path": "<string>",
"change": "added",
"sizeBytes": 4503599627370495,
"diff": {
"added": 4503599627370495,
"removed": 4503599627370495,
"hunks": [
{
"oldStart": 123,
"newStart": 123,
"lines": [
{
"kind": "same",
"text": "<string>"
}
]
}
],
"truncated": true
}
}
],
"leftOutFiles": 4503599627370495,
"problems": [
"<string>"
],
"version": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required string length:
1 - 64